//
//  TestViewFactory.swift
//  flutterpluginlcytest
//
//  Created by liucy on 2020/3/25.
//

import UIKit

public class EhsureScannerFactory: NSObject, FlutterPlatformViewFactory {
    var messenger: FlutterBinaryMessenger!
    public func create(withFrame frame: CGRect, viewIdentifier viewId: Int64, arguments args: Any?) -> FlutterPlatformView {
        return EhsureScannerView(frame, viewID: viewId, args: args, binaryMessenger: messenger)
    }
    
    @objc public init(messenger: (NSObject & FlutterBinaryMessenger)?) {
        super.init()
        self.messenger = messenger
    }


}
